/// <reference types="react" />
import { ButtonProps } from '@mui/material/Button';
import CircularProgress from '@mui/material/CircularProgress';
export declare const Progress: import("styled-components").StyledComponent<typeof CircularProgress, any, {}, never>;
export interface LoadingButtonProps {
    buttonProps: ButtonProps;
    loading?: boolean;
    buttonText?: string;
}
declare const LoadingButton: ({ buttonProps: { size, variant, color, disabled, onClick, ...other }, loading, buttonText, }: LoadingButtonProps) => JSX.Element;
export default LoadingButton;
